Bug 1421436 - Change fs to xfs without discard and enable fstrim
Summary: Change fs to xfs without discard and enable fstrim
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-appliance
Classification: oVirt
Component: Core
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.3
: 4.1
Assignee: Yuval Turgeman
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks: 1456880
TreeView+ depends on / blocked
 
Reported: 2017-02-12 10:35 UTC by Yuval Turgeman
Modified: 2019-04-28 13:33 UTC (History)
6 users (show)

Fixed In Version: ovirt-engine-appliance-4.1-20170627
Doc Type: Enhancement
Doc Text:
Feature: Using XFS as the filesystem for the appliance. Reason: XFS is the default filesystem for RHEL7 Result: The appliance now uses the XFS filesystem.
Clone Of:
: 1456880 (view as bug list)
Environment:
Last Closed: 2017-07-06 13:54:52 UTC
oVirt Team: Node
rule-engine: ovirt-4.1+
rule-engine: ovirt-4.2+
sbonazzo: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 77270 0 master MERGED engine-appliance: change the root partition to XFS 2020-03-12 15:20:39 UTC
oVirt gerrit 77371 0 ovirt-4.1-snapshot MERGED engine-appliance: change the root partition to XFS 2020-03-12 15:20:39 UTC
oVirt gerrit 77372 0 ovirt-4.1-pre MERGED engine-appliance: change the root partition to XFS 2020-03-12 15:20:41 UTC
oVirt gerrit 77375 0 ovirt-4.1 MERGED engine-appliance: change the root partition to XFS 2020-03-12 15:20:39 UTC
oVirt gerrit 78404 0 master MERGED engine-appliance: enable fstrim 2020-03-12 15:20:39 UTC
oVirt gerrit 78405 0 ovirt-4.1 MERGED engine-appliance: enable fstrim 2020-03-12 15:20:41 UTC
oVirt gerrit 78406 0 ovirt-4.1-snapshot MERGED engine-appliance: enable fstrim 2020-03-12 15:20:40 UTC
oVirt gerrit 78407 0 ovirt-4.1-pre MERGED engine-appliance: enable fstrim 2020-03-12 15:20:40 UTC

Description Yuval Turgeman 2017-02-12 10:35:18 UTC
Today the appliance is shipped with ext4 fs with the discard option turned on.  We need to check if it can change to xfs and enable the fstrim service instead.

Comment 1 Yaniv Kaul 2017-02-12 14:54:04 UTC
At least on Fedora, fstrim is called by a systemd timer - so no need to do much about it.

Comment 3 Ryan Barry 2017-05-24 20:55:55 UTC
As an unforeseen bonus, this reduces the size of the image by 30%.

Comment 4 Gonza 2017-06-21 08:13:35 UTC
Verified with:
rhvm-appliance-20170619.0-1

Even though the fs is now correct with xfs, the fstrim.timer service appears to be disabled by default.

# df -Th
Filesystem     Type      Size  Used Avail Use% Mounted on
/dev/vda1      xfs       6.0G  3.1G  2.9G  52% /


# systemctl status fstrim.timer
● fstrim.timer - Discard unused blocks once a week
   Loaded: loaded (/usr/lib/systemd/system/fstrim.timer; disabled; vendor preset: disabled)
   Active: inactive (dead)
     Docs: man:fstrim

Comment 5 Red Hat Bugzilla Rules Engine 2017-06-21 08:13:40 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 6 Gonza 2017-06-26 15:12:05 UTC
Apparently the fix for fstrim.timer service to be enabled by default, hasn't been applied to:
rhvm-appliance-20170621.0-1.x86_64.rhevm.ova

Comment 7 Red Hat Bugzilla Rules Engine 2017-06-26 15:12:10 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 8 Ryan Barry 2017-06-27 19:00:07 UTC
Please check fstrim.timer

Comment 9 Gonza 2017-07-03 08:08:53 UTC
Verified with:
ovirt-engine-appliance-4.1-20170627

System has proper XFS and fstrim.timer is enabled by default.

Comment 10 Chris Reynolds 2017-07-05 15:37:33 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1467946

Needs --grow addition.

Comment 11 Ryan Barry 2017-07-05 15:45:49 UTC
--grow is handled by cloud-utils-growpart

The reason seems to be that the addition of swap created a partition after /, and cloud-utils-growpart will not grow it. These are being reversed (swap will be before /)


Note You need to log in before you can comment on or make changes to this bug.